// Nejprve provedeme inicializaci programu i knihovny curses:
#include <unistd.h>
#include <stdlib.h>
#include <curses.h>
#include <string.h>

#define PW_LEN 256
#define NAME_LEN 256

int main() {
    char name[NAME_LEN];
    char password[PW_LEN];
    const char *real_password = "xyzzy";
    int i = 0;

    initscr();

    move(5, 10);
    printw("%s", "Pihlaste se prosm:");

    move(7, 10);
    printw("%s", "Uivatelsk jmno: ");
    getstr(name);

    move(8, 10);
    printw("%s", "Heslo: ");
    refresh();
// Dle uivatel zadv heslo a my musme zabrnit v jeho opakovn (echo) na 
// obrazovku. Pot zkontrolujeme, jestli se heslo rovn sprvnmu textu xyzzy:
    cbreak();
    noecho();

    memset(password, '\0', sizeof(password));
    while (i < PW_LEN) {
        password[i] = getch();
        if (password[i] == '\n') break;
        move(8, 20 + i);
        addch('*');
        refresh();
        i++;
    }
// Nakonec znovu zapneme opakovn znak a oznmme, jestli jsme skonili spn nebo ne:
    echo();
    nocbreak();

    move(11, 10);
    if (strncmp(real_password, password, strlen(real_password)) == 0)
        printw("%s", "Sprvn");
    else 
        printw("%s", "Nesprvn");
    printw("%s", " heslo");
    refresh();
    sleep(2);

    endwin();
    exit(EXIT_SUCCESS);
}

