// Po inicializaci programu a knihovny curses nastavme peklad funknch klves na TRUE:
#include <unistd.h>
#include <stdlib.h>
#include <curses.h>

#define LOCAL_ESCAPE_KEY 27

int main()
{
    int key;
    initscr();
    crmode();
    keypad(stdscr, TRUE);
// Pot vypneme opakovn znak (echo), aby se pi stisku nkterch kurzorovch klves 
// neposouval kurzor. Program bude ekat na kad stisk klvesy a pokud se nejedn o Q ani
// nenastane chyba, vype klvesu. Jestlie sekvence klves odpovd nkter z 
// dicch sekvenc numerick klvesnice terminlu, vype ji:
    noecho();
    clear();
    mvprintw(5, 5, "Ukzka numerick klvesnice. Pro ukonen stisknte 'q'");
    move(7, 5);
    refresh();
    key = getch();

    while(key != ERR && key != 'q') {
        move(7, 5);
        clrtoeol();

        if ((key >= 'A' && key <= 'Z') ||
             (key >= 'a' && key <= 'z')) {
            printw("Klvesa byla %c", (char)key);
        }
        else {
            switch(key) {
            case LOCAL_ESCAPE_KEY: printw("%s", "Klvesa Esc"); break;
            case KEY_END: printw("%s", "Klvesa END"); break;
            case KEY_BEG: printw("%s", "Klvesa BEGINNING"); break;
            case KEY_RIGHT: printw("%s", "Klvesa RIGHT"); break;
            case KEY_LEFT: printw("%s", "Klvesa LEFT"); break;
            case KEY_UP: printw("%s", "Klvesa UP"); break;
            case KEY_DOWN: printw("%s", "Klvesa DOWN"); break;
            default: printw("Nenalezeno - %d", key); break;
            } /* switch */
        } /* else */

        refresh();
        key = getch();
    } /* while */

    endwin();
    exit(EXIT_SUCCESS);
}

