#include <stdlib.h>
#include <stdio.h>

#include "mysql.h"

int main(int argc, char *argv[]) {
    MYSQL my_connection;
    MYSQL_RES *res_ptr;
    MYSQL_ROW sqlrow;
    int res;

    mysql_init(&my_connection);
    if (mysql_real_connect(&my_connection, "localhost",
                           "rick", "tajn", "foo", 0, NULL, 0)) {
        printf("Pipojen je spn\n");

        res = mysql_query(&my_connection, "INSERT INTO children(fname, age) VALUES('Robert', 7)");

        if (!res) {
            printf("Vloeno %lu dk\n", (unsigned
            long)mysql_affected_rows(&my_connection));
        } else {
        fprintf(stderr, "Chyba pi vloen %d: %s\n", mysql_errno(&my_connection),
                         mysql_error(&my_connection));
        }

        res = mysql_query(&my_connection, "SELECT LAST_INSERT_ID()");

        if (res) {
            printf("Chyba pi SELECT: %s\n", mysql_error(&my_connection));
        } else {
            res_ptr = mysql_use_result(&my_connection);
            if (res_ptr) {
                while ((sqlrow = mysql_fetch_row(res_ptr))) {
                    printf("Vloili jsme childno %s\n", sqlrow[0]);
                }
                mysql_free_result(res_ptr);
            }
        }

        mysql_close(&my_connection);
    } else {
        fprintf(stderr, "Pipojen selhalo\n");
        if (mysql_errno(&my_connection)) {
        fprintf(stderr, "Chyba pipojen %d: %s\n",
                mysql_errno(&my_connection), mysql_error(&my_connection));
        }
    }

    return EXIT_SUCCESS;
}

