#include <sys/types.h>
#include <signal.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

static int alarm_fired = 0;

void ding(int sig)
{
    alarm_fired = 1;
}
// Ve funkci main vytvome potomka, kter nejprve pok 5 sekund, a pot svmu rodii zale signl SIGALRM:
int main()
{
    pid_t pid;

    printf("spoutm aplikaci budku\n");

    pid = fork();
    switch(pid) {
    case -1:
        /* selhn */
        perror("fork selhalo");
        exit(1);
    case 0:
        /* potomek */
        sleep(5);
        kill(getppid(), SIGALRM);
        exit(0);
    }
// Pot rodiovsk proces pomoc voln signal nastav zachycen signlu SIGALRM a ek na nevyhnutelnou udlost:
    /* pokud jsme se dostali sem, jsme v rodiovskm procesu */
    printf("ekm na signl budku\n");
    (void) signal(SIGALRM, ding);

    pause();
    if (alarm_fired)
        printf("Crrr!\n");

    printf("hotovo\n");
    exit(0);
}

