#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

int main()
{
    pid_t pid;
    char *message;
    int n;
    int exit_code;

    printf("Zan program fork\n");
    pid = fork();
    switch(pid)
    {

    case -1:
        perror("fork selhalo");
        exit(1);
    case 0:
        message = "Toto je potomek";
        n = 5;
        exit_code = 37;
        break;
    default:
        message = "Toto je rodi";
        n = 3;
        exit_code = 0;
        break;
    }

    for(; n > 0; n--) {
        puts(message);
        sleep(1);
    }
// Tato nov st programu ek na skonen dceinho procesu :
    if (pid != 0) {
        int stat_val;
        pid_t child_pid;

        child_pid = wait(&stat_val);

        printf("Potomek skonil: PID = %d\n", child_pid);
        if(WIFEXITED(stat_val))
            printf("Potomek skonil s kdem %d\n", WEXITSTATUS(stat_val));
        else
            printf("Potomek skonil abnormln\n");
    }
    exit(exit_code);
}

