#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <pthread.h>

void *thread_function(void *arg);

int main() {
    int res;
    pthread_t a_thread;
    void *thread_result;

    res = pthread_create(&a_thread, NULL, thread_function, NULL);
    if (res != 0) {
        perror("Vytvoen vlkna selhalo");
        exit(EXIT_FAILURE);
    }

    sleep(3);
    printf("Zruen vlkna...\n");
    res = pthread_cancel(a_thread);
    if (res != 0) {
        perror("Zruen vlkna selhalo");
        exit(EXIT_FAILURE);
    }
    printf("ekm na dokonen vlkna...\n");
    res = pthread_join(a_thread, &thread_result);
    if (res != 0) {
        perror("Pipojen k vlknu selhalo ");
        exit(EXIT_FAILURE);
    }
    exit(EXIT_SUCCESS);
}

void *thread_function(void *arg) {
    int i, res;
    res = pthread_setcancelstate(PTHREAD_CANCEL_ENABLE, NULL);
    if (res != 0) {
        perror("Voln pthread_setcancelstate selhalo");
        exit(EXIT_FAILURE);
    }
    res = pthread_setcanceltype(PTHREAD_CANCEL_DEFERRED, NULL);
    if (res != 0) {
        perror("Voln pthread_setcanceltype selhalo");
        exit(EXIT_FAILURE);
    }
    printf("B thread_function\n");
    for(i = 0; i < 10; i++) {
        printf("Vlkno dosud b (%d)...\n", i);
        sleep(1);
    }
    pthread_exit(0);
}

