#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int main()
{
    int data_processed;
    int file_pipes[2];
    const char some_data[] = "123";
    char buffer[BUFSIZ + 1];
    pid_t fork_result;

    memset(buffer, '\0', sizeof(buffer));

    if (pipe(file_pipes) == 0) {
        fork_result = fork();
        if (fork_result == -1) {
            fprintf(stderr, "Fork selhalo");
            exit(EXIT_FAILURE);
        }
// Jestlie pedchoz test "proel", skonilo voln fork spn, 
// take pokud se fork_result rovn nule, jsme v procesu potomka :
        if (fork_result == 0) {
            data_processed = read(file_pipes[0], buffer, BUFSIZ);
            printf("Peteno %d bajt: %s\n", data_processed, buffer);
            exit(EXIT_SUCCESS);
        }
// Jinak se nachzme v procesu rodiovskm:
        else {
            data_processed = write(file_pipes[1], some_data,
            strlen(some_data));
            printf("Zapsno %d bajt\n", data_processed);
        }
    }
    exit(EXIT_SUCCESS);
}

