//	Nkolik prvnch dk po deklaraci funkce main() zkontroluje, jestli byl program environ.c vyvoln sprvn jen s jednm nebo dvma argumenty:
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[])
{
    char *var, *value;

    if(argc == 1 || argc > 3) {
        fprintf(stderr,"voln: environ promnn [hodnota]\n");
        exit(1);
    }

// 	Pot pomoc funkce getenv nateme hodnotu promnn z aktulnho prosted:
    var = argv[1];
    value = getenv(var);
    if(value)
        printf("Promnn %s m hodnotu %s\n", var, value);
    else
        printf("Promnn %s nem hodnotu\n", var);

// 	Dle zjistme, jestli byl pi voln programu zadn druh argument. Pokud ano, vytvome etzec formtu nzev=hodnota, a pot ve voln putenv tuto hodnotu zapeme do promnn:
    if(argc == 3) {
        char *string;
        value = argv[2];
        string = malloc(strlen(var)+strlen(value)+2);
        if(!string) {
            fprintf(stderr,"nedostatek pamti\n");
            exit(1);
        }
        strcpy(string,var);
        strcat(string,"=");
        strcat(string,value);
        printf("Volm putenv s: %s\n",string);
        if(putenv(string) != 0) {
            fprintf(stderr,"putenv selhalo\n");
            free(string);
            exit(1);
        }

// 	A nakonec jet jednou vyvolme funkci getenv - tentokrt s n ovme sprvn piazen nov hodnoty:
        value = getenv(var);
        if(value)
            printf("Nov hodnota %s je %s\n", var, value);
        else
            printf("Nov hodnota %s je null??\n", var);
    }
    exit(0);
}

