#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

char *menu[] = {
    "a - pidat nov zznam",
    "d - odstranit zznam",
    "q - konec",
    NULL,
};

int getchoice(char *greet, char *choices[], FILE *in, FILE *out);

int main()
{
    int choice = 0;
    FILE *input;
    FILE *output;

    if(!isatty(fileno(stdout))) {
        fprintf(stderr,"Program neb na terminlu, OK.\n");
    }

    input = fopen("/dev/tty", "r");
    output = fopen("/dev/tty", "w");
    if(!input || !output) {
        fprintf(stderr,"Nemohu otevt zazen /dev/tty\n");
        exit(1);
    }
    do {
        choice = getchoice("Vyberte prosm operaci", menu, input, output);
        printf("Zvolili jste: %c\n", choice);
    } while(choice != 'q');
    exit(0);
}

int getchoice(char *greet, char *choices[], FILE *in, FILE *out)
{
    int chosen = 0;
    int selected;
    char **option;

    do {
        fprintf(out,"Volba: %s\n",greet);
        option = choices;
        while(*option) {
            fprintf(out,"%s\n",*option);
            option++;
        }
        do {
            selected = fgetc(in);
        } while(selected == '\n');
        option = choices;
        while(*option) {
            if(selected == *option[0]) {
                chosen = 1;
                break;
            }
            option++;
        }
        if(!chosen) {
            fprintf(out,"Nesprvn volba, vyberte znovu\n");
        }
    } while(!chosen);
    return selected;
}

