#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <pthread.h>

void *thread_function(void *arg);

char message[] = "Hello World";
int thread_finished = 0;

int main() {
    int res;
    pthread_t a_thread;

    pthread_attr_t thread_attr;

    res = pthread_attr_init(&thread_attr);
    if (res != 0) {
        perror("Vytvoen atributu selhalo");
        exit(EXIT_FAILURE);
    }
    res = pthread_attr_setdetachstate(&thread_attr, PTHREAD_CREATE_DETACHED);
    if (res != 0) {
        perror("Definice odpojenho atributu selhala");
        exit(EXIT_FAILURE);
    }
    res = pthread_create(&a_thread, &thread_attr, thread_function, (void *)message);
    if (res != 0) {
        perror("Vytvoen vlkna selhalo");
        exit(EXIT_FAILURE);
    }
    (void)pthread_attr_destroy(&thread_attr);
    while(!thread_finished) {
        printf("ekm na vlkno, a se ukon...\n");
        sleep(1);
    }
    printf("Druh vlkno skonilo, nashle!\n");
    exit(EXIT_SUCCESS);
}

void *thread_function(void *arg) {
    printf("B thread_function. Argument byl %s\n", (char *)arg); sleep(4);
    printf("Druh vlkno nastavilo pznak ukonen a nyn skon\n");
    thread_finished = 1;
    pthread_exit(NULL);
}

