// Toto je pijmajc program msg1.c:
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <unistd.h>

#include <sys/msg.h>

struct my_msg_st {
    long int my_msg_type;
    char some_text[BUFSIZ];
};

int main()
{
    int running = 1;
    int msgid;
    struct my_msg_st some_data;
    long int msg_to_receive = 0;
// Nejprve vytvome frontu zprv:
    msgid = msgget((key_t)1234, 0666 | IPC_CREAT);

    if (msgid == -1) {
        fprintf(stderr, "msgget selhalo s chybou: %d\n", errno);
        exit(EXIT_FAILURE);
    }
//	Pot budeme z fronty postupn natat zprvy, dokud nenarazme na 
// zprvu se specilnm textem end. Nakonec frontu odstranme:
    while(running) {
        if (msgrcv(msgid, (void *)&some_data, BUFSIZ,
                   msg_to_receive, 0) == -1) {
            fprintf(stderr, "msgrcv selhalo s chybou: %d\n", errno);
            exit(EXIT_FAILURE);
        }
        printf("Napsal jsi: %s", some_data.some_text);
        if (strncmp(some_data.some_text, "end", 3) == 0) {
            running = 0;
        }
    }

    if (msgctl(msgid, IPC_RMID, 0) == -1) {
        fprintf(stderr, "msgctl(IPC_RMID) selhalo\n");
        exit(EXIT_FAILURE);
    }

    exit(EXIT_SUCCESS);
}

