#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <netdb.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
    char *host, **names, **addrs;
    struct hostent *hostinfo;
// Pot do promnn host zapeme argument, pedan do programu getname 
// na pkazovm dku, nebo nzev uivatelskho potae jako vchoz hodnotu:
    if(argc == 1) {
        char myname[256];
        gethostname(myname, 255);
        host = myname;
    }
    else
        host = argv[1];
// Dle zavolme funkci gethostbyname a pokud dn informace nezjistme, oznmme chybu:
    hostinfo = gethostbyname(host);
    if(!hostinfo) {
        fprintf(stderr, "nemohu zjistit informace o hostiteli: %s\n", host);
        exit(1);
    }
// Vypeme hostitelsk nzev potae i ppadn jeho aliasy (zstupn nzvy):
    printf("Vsledky pro hostitele %s:\n", host);
    printf("Nzev: %s\n", hostinfo -> h_name);
    printf("Aliasy:");
    names = hostinfo -> h_aliases;
    while(*names) {
        printf(" %s", *names);
        names++;
    }
    printf("\n");
// Pokud dan hostitel nen hostitelem IP, vypeme upozornn a skonme:
    if(hostinfo -> h_addrtype != AF_INET) {
        fprintf(stderr, "nen IP hostitel!\n");
        exit(1);
    }
// Jinak zobrazme pslunou IP adresu (adresy):
    addrs = hostinfo -> h_addr_list;
    while(*addrs) {
        printf(" %s", inet_ntoa(*(struct in_addr *)*addrs));
        addrs++;
    }
    printf("\n");
    exit(0);
}

