// I tentokrt zaneme direktivami #include a deklaracemi, a po nich 
// pokraujeme inicializac mnoiny inputs pro obsluhu vstupu z klvesnice:
#include <sys/types.h>
#include <sys/time.h>
#include <stdio.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <stdlib.h>

int main()
{
    char buffer[128];
    int result, nread;

    fd_set inputs, testfds;
    struct timeval timeout;

    FD_ZERO(&inputs);
    FD_SET(0,&inputs);
// Nyn pokme na vstup z proudu stdin, avak nejdle 2,5 sekundy:
    while(1) {
        testfds = inputs;
        timeout.tv_sec = 2;
        timeout.tv_usec = 500000;

        result = select(FD_SETSIZE, &testfds, (fd_set *)NULL, 
                (fd_set *)NULL, &timeout);
/*
	Po uplynut tto doby testujeme promnnou result. Pokud na vstupu nebylo nic, 
	vrac se program zpt do smyky; jestlie dolo k chyb, program kon.
*/
        switch(result) {
        case 0:
            printf("asov limit\n");
            break;
        case -1:
            perror("select");
            exit(1);
/*
	Jestlie bhem ekn dolo k njak operaci nad souborovm deskriptorem, 
	peteme vstup z proudu stdin a v okamiku peten znaku konce dku jej 
	opeme, dokud na vstupu nebude znak Ctrl+D:
*/
        default:
            if(FD_ISSET(0,&testfds)) {
                ioctl(0,FIONREAD,&nread);
                if(nread == 0) {
                    printf("konec vstupu z klvesnice\n");
                    exit(0);
                }
                nread = read(0,buffer,nread);
                buffer[nread] = 0;
                printf("peteno %d znak z klvesnice: %s", nread, buffer);
            }
            break;
        }
    }
}
