// Tento program server4.c zan podobn jako posledn server, navc je tu ale 
// direktiva #include pro hlavikov soubor signal.h. Promnn i postupy pro 
// vytvoen a pojmenovn soketu jsou stejn:
#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <netinet/in.h>
#include <signal.h>
#include <unistd.h>
#include <stdlib.h>

int main()
{
    int server_sockfd, client_sockfd;
    int server_len, client_len;
    struct sockaddr_in server_address;
    struct sockaddr_in client_address;

    server_sockfd = socket(AF_INET, SOCK_STREAM, 0);

    server_address.sin_family = AF_INET;
    server_address.sin_addr.s_addr = htonl(INADDR_ANY);
    server_address.sin_port = htons(9734);
    server_len = sizeof(server_address);
    bind(server_sockfd, (struct sockaddr *)&server_address, server_len);
// Dle vytvome frontu spojen, nastavme ignorovn signl o ukonen potomk a 
// zaneme ekat na klienty:
    listen(server_sockfd, 5);

    signal(SIGCHLD, SIG_IGN);

    while(1) {
        char ch;
        printf("server ek\n");
// Tady je pjem spojen:
        client_len = sizeof(client_address);
        client_sockfd = accept(server_sockfd,
                (struct sockaddr *)&client_address, &client_len);
// Rozvtvenm vytvome samostatn proces pro tohoto klienta a provedeme 
// test, jestli se nachzme v rodii nebo potomku:
        if(fork() == 0) {
// Pokud jsme v potomku, meme zat st a zapisovat nad deskriptorem 
// client_sockfd. Ptisekundov prodleva je jen pro ely pkladu:
            read(client_sockfd, &ch, 1);
            sleep(5);
            ch++;
            write(client_sockfd, &ch, 1);
            close(client_sockfd);
            exit(0);
        }
// Jinak to znamen, e jsme rodiem, a tm pdem jsme s obsluhou tohoto klienta hotovi:
        else {
            close(client_sockfd);
        }
    }
}

